Declare Xtal = 64
Declare Bootloader off
Declare Watchdog off
Declare Float_Display_Type = Fast
Declare Dead_Code_Remove = 1        ' Remove dead code

Symbol clock = PORTC.3
Symbol dout = PORTC.5
Symbol load = PORTC.0
   
Dim Message_Text As Flash8 = "Hello World! Do you like my library? ", 0

Dim row As Byte
Dim col As Byte
Dim i As Byte
Dim num As Byte
Dim top As Word
 
top = Len(Message_Text)*6-1
If top > = 600 Then top = 600
Dim buffer[600] As Byte

TRISC  = 0  

num = 8                     ' number of displays
    
Include "ScrollFont.inc"                        ' Load the font dout for the scrolling text
Include "MaxMatrix.inc"


init()
setIntensity(4)

Get_Message()
reload()
DelayMS 1000

Clear_()

opening(1000)

slice(1000)

Clear_All()

Do

For row = 0 To 7
For col= 0 To 63
DelayMS 10
setDot(col,row,1)
Next 
Next

For row = 0 To 7
For col= 0 To 63
DelayMS 10
setDot(col,row,0)
Next 
Next

For col= 0 To 7
DelayMS 60
setColumnAll(col, $aa)
Next

For col= 0 To 63
DelayMS 60
setColumn(col, $55)
Next

Clear_()

Get_Message()
reload()

For i=0 To 23
DelayMS 90
shiftUp(1)
Next i

For i=0 To 23
DelayMS 90
shiftDown(1)
Next i

For i=0 To 127
DelayMS 60
shiftLeft(1,1)
Next i

For i=0 To 23
DelayMS 90
shiftDown(1)
Next i

For i=0 To 127
DelayMS 60
shiftRight(1,1)
Next i

For i=0 To 23
DelayMS 90
shiftUp(1)
Next i

Clear_All()

Loop

;-------------------------------------------------------------------------------
;**** Added by Fuse Configurator ****
; Use the Fuse Configurator plug-in to change these settings

Device = 18F26K22

Config_Start
  FOSC = HSHP	;HS oscillator (high power > 16 MHz)
  PLLCFG = On	;Oscillator multiplied by 4
  PRICLKEN = On	;Primary clock enabled
  FCMEN = OFF	;Fail-Safe Clock Monitor disabled
  IESO = OFF	;Oscillator Switchover mode disabled
  PWRTEN = OFF	;Power up timer disabled
  BOREN = SBORDIS	;Brown-out Reset enabled in hardware only (SBOREN is disabled)
  BORV = 190	;VBOR set to 1.90 V nominal
  WDTEN = OFF	;Watch dog timer is always disabled. SWDTEN has no effect.
  WDTPS = 32768	;1:32768
  CCP2MX = PORTB3	;CCP2 input/output is multiplexed with RB3
  PBADEN = OFF	;PORTB<5:0> pins are configured as digital I/O on Reset
  CCP3MX = PORTB5	;P3A/CCP3 input/output is multiplexed with RB5
  HFOFST = On	;HFINTOSC output and ready status are not delayed by the oscillator stable status
  T3CMX = PORTB5	;T3CKI is on RB5
  P2BMX = PORTB5	;P2B is on RB5
  MCLRE = INTMCLR	;RE3 input pin enabled; MCLR disabled
  STVREN = OFF	;Stack full/underflow will not cause Reset
  LVP = OFF	;Single-Supply ICSP disabled
  XINST = OFF	;Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
  Debug = OFF	;Disabled
  Cp0 = OFF	;Block 0 (000800-003FFFh) not code-protected
  CP1 = OFF	;Block 1 (004000-007FFFh) not code-protected
  CP2 = OFF	;Block 2 (008000-00BFFFh) not code-protected
  CP3 = OFF	;Block 3 (00C000-00FFFFh) not code-protected
  CPB = OFF	;Boot block (000000-0007FFh) not code-protected
  CPD = OFF	;dout EEPROM not code-protected
  WRT0 = OFF	;Block 0 (000800-003FFFh) not write-protected
  WRT1 = OFF	;Block 1 (004000-007FFFh) not write-protected
  WRT2 = OFF	;Block 2 (008000-00BFFFh) not write-protected
  WRT3 = OFF	;Block 3 (00C000-00FFFFh) not write-protected
  WRTC = OFF	;Configuration registers (300000-3000FFh) not write-protected
  WRTB = OFF	;Boot Block (000000-0007FFh) not write-protected
  WRTD = OFF	;dout EEPROM not write-protected
  EBTR0 = OFF	;Block 0 (000800-003FFFh) not protected from table reads executed in other blocks
  EBTR1 = OFF	;Block 1 (004000-007FFFh) not protected from table reads executed in other blocks
  EBTR2 = OFF	;Block 2 (008000-00BFFFh) not protected from table reads executed in other blocks
  EBTR3 = OFF	;Block 3 (00C000-00FFFFh) not protected from table reads executed in other blocks
  EBTRB = OFF	;Boot Block (000000-0007FFh) not protected from table reads executed in other blocks
Config_End

;**** End of Fuse Configurator Settings ****
;------------------------------------------------------------------------------- 
